type MentionEventToggle = {
    type: 'toggle';
    value: boolean;
};
type MentionEventSearch = {
    type: 'search';
    value: string;
};
type MentionEventOnSelect = {
    type: 'onSelect';
    value: null;
};
type MentionEventHighlightedIndexChange = {
    type: 'highlighted-index-change';
    value: 1 | -1;
};
export type MentionEvent = MentionEventOnSelect | MentionEventToggle | MentionEventSearch | MentionEventHighlightedIndexChange;
export type MentionSelectEvent = {
    id: string;
    value: string;
};
export declare class MentionModule {
    static mentionChar: string;
    static mentionAttribute: string;
    static isOpen: boolean;
    private quill;
    private mentionCharPos;
    private cursorPos;
    private mentionContainer;
    private mentionList;
    private options;
    constructor(quill: any, options: any);
    static dispatchSelectEvent(id: string, value: string): void;
    static dispatchEvent(detail: MentionEvent): void;
    search(value: string): void;
    selectHandler(): boolean;
    escapeHandler(): void;
    upHandler(): boolean;
    downHandler(): boolean;
    showMentionList(): void;
    hideMentionList(): void;
    insertItem(data: {
        id: string;
        value: string;
    }, programmaticInsert?: boolean): void;
    setIsOpen(isOpen: any): void;
    setMentionContainerPosition(): void;
    getTextBeforeCursor(): string;
    onSomethingChange(): void;
    getAllowedCharsRegex(denotationChar: string): RegExp;
    onTextChange(delta: any, oldDelta: any, source: any): void;
    onSelectionChange(range: any): void;
    openMenu(denotationChar: any): void;
}
export {};
